Subject: Re: Matlab mex files and cygwin
From: [email-masked] (Matthew Brett)

23 Dec 1998 14:21:04 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

Dear Mumit,

> I can build a debuggable Cygwin DLL if someone would like to run it
> through a debugger and report the results back to me (or give me remote
> access to an NT machine with matlab -- but that probably wouldn't work if
> Matlab on Windows is a GUI app). Matthew?
 
I don't at the moment have access to an NT PC with matlab on, that you could
access remotely, although thank you for the kind offer. 

Would it be straightforward to run it through the debugger myself?
I'm afraid I have no experience atall of Cygwin debugging.  

> > Frustrating!  But, as you say, mingw gives a useful halfway house,
> 
> Yes, but unfortunately, lots of POSIX code needs to be rewritten then. 

Yes, and in fact, without the POSIX functionality, gcc is of little use
to me with matlab (I have VC++ for example).

Thanks again,

Matthew 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".